<fmt:formatNumber value="${bookingComponent.totalAmount.amount-bookingInfo.calculatedDiscount.amount}" var="totalCostingLine" type="number" pattern="####.##" maxFractionDigits="2" minFractionDigits="2" />
<c:set value="${totalCostingLine}" var="totalCostingLine" scope="page"/>
<c:set var="totalcost" value="${fn:split(totalCostingLine, '.')}" />
<div>
	<p class="title">
						Whats Included		<!--	<c:out escapeXml="false" value='${bookingComponent.accommodationSummary.accommodation.hotel}' />-->

									</p>

</div>
<div class="summary-breakdown content ">
 <c:set var="priceBreakDown" value="${bookingComponent.pricingDetails['priceBreakDown']}" />
									<div class="breakdown inline marg-bottom-10">
							<ul class="square">

								<c:out value="${cruiseResortArray[0]}" />
									<c:if test="${not empty cruiseResortArray[1]}"><br />
									<span class="followed">followed by </span><br />
									<c:out value="${cruiseResortArray[1]}" />
									</c:if>


								<li>
									<c:if test="${not empty bookingComponent.cruiseSummary.ship.destination}">
											<c:out value="${bookingComponent.cruiseSummary.ship.destination}" />
									</c:if>
								</li>
							    <li>All tips and charges included</li>
								<li>
								<c:out value="${bookingComponent.cruiseSummary.duration}" />
										<c:choose>
											<c:when test="${bookingComponent.cruiseSummary.duration == 1}">
												night cruise
											</c:when>
											<c:otherwise>
												night cruise
											</c:otherwise>
										</c:choose>
								</li>
								<li>
									<c:out value="${bookingComponent.accommodationSummary.duration}" />
                                        <c:choose>
							                 <c:when test="${bookingComponent.accommodationSummary.duration == 1}">
								                    Night
							                 </c:when>
							                 <c:otherwise>
								                   Nights
							                 </c:otherwise>
						                </c:choose>
			 					</li>

								<li>
												<!--	2 Adults, 2 Children (3yrs, 5yrs) -->
											    <c:set var="numAdults" value="0"/>
												<c:set var="numChildren" value="0"/>
												<c:set var="numSeniors" value="0"/>
												<c:forEach var="passengerRoomSummary" items="${bookingComponent.passengerRoomSummary}" varStatus="status">
													<c:forEach var="passenger" items="${passengerRoomSummary.value}" varStatus="passen">
														<c:set var="noOfPassengers" value="${noOfPassengers+1}"/>
														<c:if test="${passenger.ageClassification=='ADULT'}" >
															<c:set var="numAdults" value="${numAdults+1 }"/>
														</c:if>
														<c:if test="${passenger.ageClassification=='CHILD' || passenger.ageClassification=='INFANT'}" >
															<c:set var="numChildren" value="${numChildren+1 }"/>
														</c:if>
														<c:if test="${passenger.ageClassification=='SENIOR'|| passenger.ageClassification=='SENIOR2'}" >
															<c:set var="numSeniors" value="${numSeniors+1 }"/>
														</c:if>
													</c:forEach>
												</c:forEach>
												<c:if test="${numAdults>0}">
													<c:out value="${numAdults}"/>
													<c:choose>
														<c:when test="${numAdults>1}">Adults</c:when>
														<c:otherwise>Adult</c:otherwise>
													</c:choose>
												</c:if>
												<c:if test="${numAdults>0 && numSeniors>0}">,
												</c:if>
												<c:if test="${numSeniors>0}">
													<c:out value="${numSeniors}"/>
													<c:choose>
														<c:when test="${numSeniors>1}">Seniors</c:when>
														<c:otherwise>Senior</c:otherwise>
													</c:choose>
												</c:if>
												<c:if test="${numChildren>0 && (numAdults>0 || numSeniors>0)}">,
												</c:if>
												<c:if test="${numChildren>0}">
													<c:out value="${numChildren}"/>
													<c:choose>
														<c:when test="${numChildren>1}">Children</c:when>
														<c:otherwise>Child</c:otherwise>
													</c:choose>
													(
													<c:forEach var="passengerRoomSummary" items="${bookingComponent.passengerRoomSummary}" varStatus="status">
														<c:forEach var="passenger" items="${passengerRoomSummary.value}" varStatus="passen">
															<c:if test="${passenger.ageClassification=='CHILD' || passenger.ageClassification=='INFANT'}" >
																<c:out value="${passenger.age}"/>
																<c:choose>
																	<c:when test="${passenger.age > 1}">yrs</c:when>
																	<c:otherwise>yr</c:otherwise>
																</c:choose>
																<c:choose>
																	<c:when test="${!passen.last}">,</c:when>
																	<c:otherwise><c:if test="${!status.last}">,</c:if>
																	</c:otherwise>
																</c:choose>

															</c:if>
														</c:forEach>
													</c:forEach>
													)
												</c:if>
											</li>
											<c:if test="${not empty bookingComponent.pricingDetails}">
												<c:set var="perPersonPrice" value="${bookingComponent.pricingDetails['PER_PERSON_PRICE']}"/>
												<c:if test="${not empty perPersonPrice}">
													<c:forEach var="price" items="${perPersonPrice}">
														<c:if test="${price.amount.amount > 0}">
															<li>&pound; <fmt:formatNumber value="${price.amount.amount}" type="number" maxFractionDigits="2" minFractionDigits="2" pattern="#####.##" /> per person
															</li>
														</c:if>
													</c:forEach>
												</c:if>
												<c:set var="priceBreakDown" value="${bookingComponent.pricingDetails['priceBreakDown']}"/>
												 <c:if test="${not empty priceBreakDown}">
													<c:forEach var="price" items="${priceBreakDown}">
															<li><c:out value="${price.onlineDiscountData}" /></li>
													</c:forEach>
												</c:if>
											</c:if>

							</ul>





									</div>
								</div>